import { AxiosResponse } from 'axios'
  import { ContentType, HttpClient, RequestParams } from '/@/api/admin/http-client'
import { ProjectGetPageDto } from './slelistDto'
  export class Api<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name GetList
   * @summary 查询列表
   * @request POST:'/api/app/project/get-page'
   * @secure
   */
getList = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/project/get-page',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })
        /**
   * 上传/添加项目
   */
  uploadProject = (data: ProjectGetPageDto, params: RequestParams = {}) => {
    return this.request({
      path: '/api/app/project/upload-project',
      method: 'POST',
      body: data,
      type: ContentType.Json,
      format: 'json',
      ...params
    })
  }

  /**
   * 更新项目
   */
  updateProject = (data: ProjectGetPageDto & { id: string }, params: RequestParams = {}) => {
    return this.request({
      path: '/api/app/project/update-project',
      method: 'POST',
      body: data,
      type: ContentType.Json,
      format: 'json',
      ...params
    })
  }
  
    }

